###############################################################################
# Do NOT edit this file - it will be overwritten on the next run of
# linuxmuster-nagios-setup
#
# Place your own configuration in /etc/nagios3/conf.d/linuxmuster_custom.cfg
#
# updated for linuxmuster.net
# thomas@linuxmuster.net
# 04.04.2013
#
###############################################################################

################################################################################
# CONTACT DEFINITIONS
################################################################################

# 'nwb' contact definition 
# Defaults to root@localhost by eMail
define contact{
	contact_name			nwb
	alias				Netzwerkberater
	service_notification_period	24x7
	host_notification_period	24x7
	service_notification_options	w,u,c,r
	host_notification_options	d,u,r
	service_notification_commands	notify-by-email
	host_notification_commands	host-notify-by-email
	email				root@localhost
	}

# 'external-support' contact definition 
# do NOT change this!
define contact{
	contact_name		        external-support	
	alias				Fernwartung
	service_notification_period	24x7
	host_notification_period	24x7
	service_notification_options	w,u,c,r
	host_notification_options	d,u,r
	service_notification_commands	notify-by-email
	host_notification_commands	host-notify-by-email
	email				####REMOTE_SUPPORT_EMAIL####
	}
	
################################################################################
# CONTACT GROUP DEFINITIONS
################################################################################

# 'netzwerkberater-group' contact group definition
define contactgroup{
	contactgroup_name	netzwerkberater-group
	alias			Alle Netzwerkberater an der Schule
	members			nwb
	}
	
# 'external-support-group' contact group definition
define contactgroup{
	contactgroup_name	external-support-group
	alias			Alle an der Ferwartung beteiligten Personen
	members			external-support
	}

##############################################################################
# Templates for Hosts and Services
##############################################################################

# Generic host definition template
# This is NOT a real host, just a template!  

define host{
   name                 generic-host ; The name of this host template
   notifications_enabled           1 ; Host notifications are enabled
   event_handler_enabled           1 ; Host event handler is enabled
   flap_detection_enabled          1 ; Flap detection is enabled
   failure_prediction_enabled      1 ; Failure prediction is enabled
   process_perf_data               1 ; Process performance data
   retain_status_information       1 ; savestatus information across restarts
   retain_nonstatus_information    1 ; save non-status info across restarts
   check_command                   check-host-alive_4
   max_check_attempts              10
   notification_interval           0
   notification_period             24x7
   notification_options            d,u,r
   contact_groups                  netzwerkberater-group, custom-group
   register                        0 ;dont register this definition!
}

# linuxmuster-service template definition
# this is NOT a real service, just a template!

define service{
 name                            linuxmuster-service ; template 'name' 
 active_checks_enabled           1 ; Active service checks are enabled
 passive_checks_enabled          1 ; Passive service checks are enabled/accepted
 parallelize_check               1 ; disabling this: major performance problems
 obsess_over_service             1 ; obsess over service (if necessary)
 check_freshness                 0 ; Default is to NOT check service 'freshness'
 notifications_enabled           1 ; Service notifications are enabled
 event_handler_enabled           1 ; Service event handler is enabled
 flap_detection_enabled          1 ; Flap detection is enabled
 failure_prediction_enabled      1 ; Failure prediction is enabled
 process_perf_data               1 ; Process performance data
 retain_status_information       1 ; save information across program restarts
 retain_nonstatus_information    1 ; save non-status infos across restarts
 notification_interval           360 ; repeat notification every 6 hours
 is_volatile                     0
 check_period                    24x7
 normal_check_interval           ####GENERIC_CHECK_INTERVAL#### 
 retry_check_interval            1
 max_check_attempts              4
 notification_period             24x7
 notification_options            w,u,c,r
 contact_groups                  netzwerkberater-group
 register                        0  ; dont register this definition!
}

###########################################################################
# HOST and HOSTGROUP definitions for server and ####FWNAME####
###########################################################################

define host{
	use			generic-host ; Name of host template to use
	host_name	        ####SERVERNAME####	
	alias			####DESC_SERVER####
	address			####SERVERIP####
	check_command		check-host-alive_4
	max_check_attempts	20
	notification_interval	60
	notification_period	24x7
	notification_options	d,u,r
	}

define host{
	use			generic-host ; Name of host template to use
	host_name	        ####FWNAME####	
	alias			####DESC_FW####
	address			####FWIP####
	check_command		check-host-alive_4
	max_check_attempts	20
	notification_interval	60
	notification_period	24x7
	notification_options	d,u,r
	}

define hostgroup{
	hostgroup_name  Server
	alias		####DESC_SERVERGROUP####
	members		####SERVERNAME####, ####FWNAME####
	}

##############################################################################
# defined service checks
##############################################################################

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description	        PROC - apache process number 	
	notification_options		w,u,c,r
	check_command			check_procs_pwc!apache2!####APACHEPROCS_WARN####!####APACHEPROCS_CRIT####
	}
	
define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		SYS - cups spool queue
	notification_options		w,u,c,r
	check_command			check_cups_queue!####CUPS_WARN####!####CUPS_CRIT####!####SERVERNAME####
	}
	
####DISK_CHECKS####

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description	        SYS - clamav virus signatures	
	normal_check_interval	        1440	
	retry_check_interval	        60	
	notification_options		w,u,c,r
	check_command			check_freshclam!####FRESHCLAM_WARN####!####FRESHCLAM_CRIT####
	}

define service{
	use				linuxmuster-service
	host_name			####FWNAME####
	service_description		SYS - host up/ping
	notification_options		c,r
	check_command			check_ping_4!100.0,20%!500.0,60%
	}

define service{
	use				linuxmuster-service
	host_name			####FWNAME####
	service_description		WEB - squid 
	notification_options		c,r
	check_command			check_firewall_squid
	}

define service{
	use				linuxmuster-service
	host_name		        ####SERVERNAME####	
	service_description		SYS - CPU Load
	notification_options		w,u,c,r
	check_command			check_load!####LOAD_WARN####!####LOAD_CRIT####
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####	
	service_description	        SYS - memory/application mem
	notification_options		w,u,c,r
	check_command			check_mem!####MEM_WARN####!####MEM_CRIT####
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		MAIL - postfix mail queue
	notification_options		w,u,c,r
	check_command			check_mailq_postfix!####MQUEUE_WARN####!####MQUEUE_CRIT####
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		SYS - total process number
	notification_options		w,u,c,r
	check_command			check_procs!####NUMPROC_WARN####!####NUMPROC_CRIT####!RSZDT
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description	        PROC - postgres process number
	notification_options		w,u,c,r
	check_command			check_procs_pwc!postgres!####POSTMASTERPROCS_WARN####!####POSTMASTERPROCS_CRIT####
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		SYS - host up/ping
	notification_options		c,r
	check_command			check_ping_4!100.0,20%!500.0,60%
	}

define service{
	use				linuxmuster-service
	host_name			####FWNAME####
	service_description		SYS - ssh-link to ####FWNAME####
	notification_options		w,u,c,r
	check_command			check_firewall_ssh
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####	
	service_description	        SYS - memory/swap
	notification_options		w,u,c,r
	check_command			check_swap!####SWAP_WARN####%!####SWAP_CRIT####%
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description             PROC - ntpd running	
	notification_options		w,u,c,r
	check_command			check_procs_p!ntpd
	}

define service{
	use				linuxmuster-service
	host_name	          	####SERVERNAME####	
	service_description	        MAIL - postfix smtp [port 25]
	notification_options		w,u,c,r
	check_command			check_smtp!####SERVERNAME####
	}
	
define service{
	use	             		linuxmuster-service
	host_name            		####SERVERNAME####
	service_description  		MAIL - imap/ssl [port 993] 
	notification_options 		w,u,c,r
	check_command	     		check_simap!####SERVERNAME####
        }

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description	        SYS - Imaging 
	notification_options		w,u,c,r
	check_command			check_imaging
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		WEB - schulkonsole via https [port 242]
	notification_options		w,u,c,r
	check_command			check_schulkonsole
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		PROC - clamd running
	notification_options		w,u,c,r
	check_command			check_procs_p!clamd
	}

define service{
	use                  linuxmuster-service
	host_name            ####SERVERNAME####
	service_description  SYS - ldap server [port 389]
	notification_options w,u,c,r
	check_command        check_ldap_v3!####BASEDN####
	}

define service{
	use                  linuxmuster-service
	host_name            ####SERVERNAME####
	service_description  SYS - ldaps server [port 636]
	notification_options w,u,c,r
	check_command        check_ldaps_v3!####BASEDN####
	}

define service{
	use                   linuxmuster-service
	host_name             ####SERVERNAME####
	service_description   PROC - inetd running	
	notification_options  w,u,c,r
	check_command	      check_procs_p!inetd
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		SYS - samba 
	notification_options		w,u,c,r
	check_command			check_smb!####SERVERNAME####
	}
define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description	        MAIL - pop3 [port 110]
	notification_options		w,u,c,r
	check_command			check_pop!####SERVERNAME####
	}
#define service{
#	use				linuxmuster-service
#	host_name	          	####SERVERNAME####	
#	service_description	        SYS - system time  
#	notification_options		w,u,c,r
#	check_command			check_time!####SERVERNAME####
#	}
define service{
	use				linuxmuster-service	
	host_name			####SERVERNAME####
	service_description		PROC - saslauthd running
	notification_options		w,u,c,r
	check_command			check_procs_p!saslauthd
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description	        MAIL - pop3/ssl [port 995]
	notification_options		w,u,c,r
	check_command			check_spop!####SERVERNAME####
	}
define service{
	use                   linuxmuster-service
	host_name	      ####SERVERNAME####
	service_description   MAIL - imap [port 143]
	notification_options  w,u,c,r
	check_command	      check_imap!####SERVERNAME####
	}
	
define service{
	use				linuxmuster-service
	host_name		        ####SERVERNAME####	
	normal_check_interval	        2880	
	retry_check_interval	        240	
	service_description		SYS - system-updates
	notification_options		w,u,c,r
	check_command			check_debian
	}
	
define service{
	use				linuxmuster-service	
	host_name			####SERVERNAME####
	service_description             PROC - nscd running	
	notification_options		w,u,c,r
	check_command			check_procs_p!nscd
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description             PROC - crond running	
	notification_options		w,u,c,r
	check_command			check_procs_p!cron
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		SYS - mysql database
	notification_options		w,u,c,r
	check_command			check_local_mysql
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		WEB - https [port 443] 
	notification_options		w,u,c,r
	check_command			check_https 
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		SYS - postgres database
	notification_options		w,u,c,r
	check_command			check_local_pgsql
	}

define service{
	use				linuxmuster-service
	host_name			####SERVERNAME####
	service_description		WEB - http [port 80] 
	notification_options		w,u,c,r
	check_command			check_http
	}

###############################################################################
# remote support escalation defs
###############################################################################

#####ESCALATIONS####

###############################################################################
# Command definitions for linuxmuster-nagios
###############################################################################

# 'check_cups' command definition
define command{
	command_name	check_cups_queue
	command_line    sudo /usr/lib/nagios/plugins/check_cups -w $ARG1$ -c $ARG2$ -h $ARG3$
	}
# 'check_debian' command definition
define command{
	command_name	check_debian
	command_line    sudo /usr/lib/nagios/plugins/check_debian
	}

# 'check_firewall_ssh' command definition
define command{
	command_name	check_firewall_ssh
	command_line    sudo /usr/lib/nagios/plugins/check_firewall_ssh
	}

# 'check_firewall_squid' command definition
define command{
	command_name	check_firewall_squid
	command_line    sudo /usr/lib/nagios/plugins/check_firewall_squid
	}

# 'check_freshclam' command definition
define command{
	command_name	check_freshclam
	command_line    /usr/lib/nagios/plugins/check_freshclam -w $ARG1$ -c $ARG2$ 
	}

# 'check_mem' command definition
define command{
	command_name    check_mem
	command_line	/usr/bin/perl /usr/lib/nagios/plugins/check_mem  -w $ARG1$ -c $ARG2$
}

# 'check_local_mysql' command definition
define command{
	command_name    check_local_mysql
	command_line	sudo /usr/lib/nagios/plugins/check_local_mysql 
}

# 'check_schulkonsole' command definition
define command{
	command_name    check_local_pgsql
	command_line	sudo /usr/lib/nagios/plugins/check_local_pgsql 
}

# 'check-host-updown' command definition
define command{
	command_name	check-host-updown
	command_line	/usr/lib/nagios/plugins/check_hostup -h $HOSTADDRESS$ 
}

# 'check_procs_pwc' command definition
define command{
	command_name	check_procs_pwc
	command_line    /usr/lib/nagios/plugins/check_procs -C $ARG1$ -w $ARG2$ -c $ARG3$ 
	}

# 'check_procs_p' command definition
define command{
	command_name	check_procs_p
	command_line    /usr/lib/nagios/plugins/check_procs -C $ARG1$  
}

# 'check_imaging' command definition
define command{
	command_name	check_imaging
	command_line    sudo /usr/lib/nagios/plugins/check_imaging
	}
	
# 'check_schulkonsole' command definition
define command{
	command_name    check_schulkonsole
	command_line	/usr/lib/nagios/plugins/check_http --ssl -p 242 -H $HOSTNAME$
}

# 'check_smb' command definition
define command{
	command_name	check_smb
	command_line	/usr/lib/nagios/plugins/check_smb -H $ARG1$
	}
	
# 'check_swap' command definition
define command{
	command_name	check_swap
	command_line    /usr/lib/nagios/plugins/check_swap -w $ARG1$ -c $ARG2$
	}

# 'check_ldap_v3' command definition
define command{
    command_name    check_ldap_v3
    command_line    /usr/lib/nagios/plugins/check_ldap -H '$HOSTADDRESS$' -b '$ARG1$' -3
    }

# 'check_ldaps_v3' command definition
define command{
    command_name    check_ldaps_v3
    command_line    /usr/lib/nagios/plugins/check_ldaps -H '$HOSTADDRESS$' -b '$ARG1$' -3
    }


###############################################################################
# timeperiod definitions
###############################################################################

# This defines a timeperiod where all times are valid for checks, 
# notifications, etc.  The classic "24x7" support nightmare. :-)

define timeperiod{
        timeperiod_name 24x7
        alias           24 Hours A Day, 7 Days A Week
        sunday          00:00-24:00
        monday          00:00-24:00
        tuesday         00:00-24:00
        wednesday       00:00-24:00
        thursday        00:00-24:00
        friday          00:00-24:00
        saturday        00:00-24:00
        }

# Here is a slightly friendlier period during work hours
define timeperiod{
        timeperiod_name workhours
        alias           Standard Work Hours
        monday          09:00-17:00
        tuesday         09:00-17:00
        wednesday       09:00-17:00
        thursday        09:00-17:00
        friday          09:00-17:00
        }

# The complement of workhours
define timeperiod{
        timeperiod_name nonworkhours
        alias           Non-Work Hours
        sunday          00:00-24:00
        monday          00:00-09:00,17:00-24:00
        tuesday         00:00-09:00,17:00-24:00
        wednesday       00:00-09:00,17:00-24:00
        thursday        00:00-09:00,17:00-24:00
        friday          00:00-09:00,17:00-24:00
        saturday        00:00-24:00
        }

# This one is a favorite: never :)
define timeperiod{
        timeperiod_name never
        alias           Never
        }

################################################################################
# NOTIFICATION COMMANDS
################################################################################

# 'host-notify-by-email' command definition
define command{
	command_name	host-notify-by-email
	command_line	/usr/bin/printf "%b" "***** Nagios  *****\n\nNotification Type: $NOTIFICATIONTYPE$\nHost: $HOSTALIAS$\nState: $HOSTSTATE$ for $HOSTDURATION$\nAddress: $HOSTADDRESS$\nInfo:\n\n$HOSTOUTPUT$\n\nDate/Time: $LONGDATETIME$\n\nACK by: $HOSTACKAUTHOR$\nComment: $HOSTACKCOMMENT$\n" | /usr/bin/mail -s "** $NOTIFICATIONTYPE$ alert $NOTIFICATIONNUMBER$ - $HOSTALIAS$ host is $HOSTSTATE$ **" $CONTACTEMAIL$
	}

# 'notify-by-email' command definition
define command{
	command_name	notify-by-email
	command_line	/usr/bin/printf "%b" "***** Nagios  *****\n\nNotification Type: $NOTIFICATIONTYPE$\n\nService: $SERVICEDESC$\nHost: $HOSTALIAS$\nState: $SERVICESTATE$ for $SERVICEDURATION$\nAddress: $HOSTADDRESS$\n\nInfo:\n\n$SERVICEOUTPUT$\n\nDate/Time: $LONGDATETIME$\n\nACK by: $SERVICEACKAUTHOR$\nComment: $SERVICEACKCOMMENT$\n" | /usr/bin/mail -s "** $NOTIFICATIONTYPE$ alert $NOTIFICATIONNUMBER$ - $HOSTALIAS$/$SERVICEDESC$ is $SERVICESTATE$ **" $CONTACTEMAIL$
	}

# 'host-notify-by-epager' command definition
define command{
	command_name	host-notify-by-epager
	command_line	/usr/bin/printf "%b" "Host '$HOSTALIAS$' is $HOSTSTATE$\nInfo: $HOSTOUTPUT$\nTime: $LONGDATETIME$" | /usr/bin/mail -s "$NOTIFICATIONTYPE$ alert - Host $HOSTNAME$ is $HOSTSTATE$" $CONTACTPAGER$
	}

# 'notify-by-epager' command definition
define command{
	command_name	notify-by-epager
	command_line	/usr/bin/printf "%b" "Service: $SERVICEDESC$\nHost: $HOSTNAME$\nAddress: $HOSTADDRESS$\nState: $SERVICESTATE$\nInfo: $SERVICEOUTPUT$\nDate: $LONGDATETIME$" | /usr/bin/mail -s "$NOTIFICATIONTYPE$: $HOSTALIAS$/$SERVICEDESC$ is $SERVICESTATE$" $CONTACTPAGER$
	}

################################################################################
# PERFORMANCE DATA COMMANDS
################################################################################

# Nagios Grapher
define command{
	command_name process-service-perfdata-ngrapher
	command_line /usr/share/nagios2/contrib/udpecho 127.0.0.1 '$HOSTNAME$\t$SERVICEDESC$\t$SERVICEOUTPUT$\t$SERVICEPERFDATA$\n' 5667
}

